{% extends 'crud/list.html' %}
{% load crispy_forms_tags %}
{% load crm_utils %}
{% load js_utils %}
{% load crm_pagination %}

{% block content %}

    {% block messages %}
            {% if messages %}
                {% for message in messages %}
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}
                    <div id="success-alert" class="alert alert-success" role="alert">
                        {{ message }}
                    </div>
                    {% endif %}
                    <script type="application/javascript">
                        setTimeout(function(){
                            document.getElementById("success-alert").style.display = "none";}, 3000);
                    </script>
                {% endfor %}
    {% endif %}
    {% endblock %}

    {% block page_heading %}
        {{ block.super }}
    {% endblock %}
<div class="card shadow mb-4">
            <div class="card-header py-3">
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th><input id="mass-choice" type="checkbox"></th>
                      <th>Название</th>
                      <th>Ставка</th>
                      <th>Подушка</th>
                      <th>Дни тренировок</th>
                      <th>Время начала тренировки</th>
                      <th>Длительность тренировки</th>
                      <th>Цена за разовое посещение</th>
                      <th>Действия</th>
                    </tr>
                  </thead>
                  <tbody>
                  {% for group in object_list %}
                    <tr>
                      <td><input id="{{ group.id }}" type="checkbox"></td>
                      <td>{{ group.name }}</td>
                      <td>{{ group.rate }}</td>
                      <td>
                        <div class="d-flex justify-content-center">
                          {% if group.is_podushka %}
                            <i class="fa fa-check-circle"></i>
                          {% else %}
                            <i class="fa fa-minus-circle"></i>
                          {% endif %}
                        </div>
                      </td>
                      <td>{{ group.training_days|days_sequence }}</td>
                      <td>{{ group.training_days|training_duration }}</td>
                      <td>{{ group.training_duration }}</td>
                      <td>{{ group.one_visit_price}}</td>
                      <td>
                          <a href="{% url 'group_edit' group.id %}" style="text-decoration: none">
                            <i class="fa fa-edit"></i>

                          </a>
                          <a href="{% url 'group_delete' group.id %}" style="text-decoration: none" data-toggle="modal" data-target="#deleteModal-{{ group.id }}">
                            <i class="fa fa-trash"></i>
                          </a>
                              <!-- DELETE MODAL -->
                              <div class="modal fade" id="deleteModal-{{ group.id }}" tabindex="-1" role="dialog"
                                   aria-labelledby="exampleModalLabel" aria-hidden="true">
                                  <div class="modal-dialog" role="document">
                                      <div class="modal-content">
                                          <div class="modal-header">
                                              <h5 class="modal-title" id="exampleModalLabel">Удалить {{ create_name }}</h5>
                                              <button type="button" class="close" data-dismiss="modal"
                                                      aria-label="Close">
                                                  <span aria-hidden="true">&times;</span>
                                              </button>
                                          </div>
                                          <div class="modal-body">
                                           <p> Вы уверены удалить Группу {{ group.name }}???</p>
                                                <form method="post" action="{% url 'group_delete' group.id %}" id="delete_form-{{ group.id }}">
                                                {% csrf_token %}
                                                </form>
                                          </div>
                                          <div class="modal-footer">
                                              <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                                  Закрыть
                                              </button>
                                              <button type="submit"  form="delete_form-{{ group.id }}" class="btn btn-danger">Удалить</button>
                                          </div>

                                          </div>
                                      </div>
                                  </div>
                              </div>
                          <!-- DELETE MODAL -->

                      </td>

                    </tr>

                      {% block create_modal %}
                            <!-- Modal -->
                            <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                              <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel"> Создать {{ create_name }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      <span aria-hidden="true">&times;</span>
                                    </button>
                                  </div>
                                  <div class="modal-body">
                                      <div id="error-alert" class="alert alert-danger" role="alert" style="display: none">
                                      </div>
                                      <form id="create-form" action="{% url create_url %}" method="post" enctype="multipart/form-data">
                                          {% csrf_token %}
                                          {{ form.media }}
                                          {{ create_form.name|as_crispy_field }}
                                          {{ create_form.rate|as_crispy_field }}
                                          {{ create_form.is_podushka|as_crispy_field }}
                                          {{ create_form.podushka_cost|as_crispy_field }}
                                          {{ create_form.one_visit_price|as_crispy_field }}
                                          {{ create_form.departament|as_crispy_field }}
                                          <!-- Example single danger button -->
                                          <div class="btn-group">
                                              <button type="button" class="btn btn-primary dropdown-toggle"
                                                      data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                   Выбор дня недели
                                              </button>
                                              <div class="dropdown-menu">
                                                  <style>
                                                      .training {
                                                          display: flex;
                                                          flex-direction: row;
                                                          align-items: center;
                                                      }
                                                  </style>
                                                  <div class="training">
                                                      {{ training_days.monday|crispy }}
                                                  </div>

                                                  <div class="training">
                                                      {{ training_days.tuesday|crispy }}
                                                  </div>
                                                  <div class="training">
                                                      {{ training_days.wednesday|crispy }}
                                                  </div>

                                                  <div class="training">
                                                      {{ training_days.thursday|crispy }}
                                                  </div>

                                                  <div class="training">
                                                      {{ training_days.friday|crispy }}
                                                  </div>

                                                  <div class="training">
                                                      {{ training_days.saturday|crispy }}
                                                  </div>
                                                  <div class="training">
                                                      {{ training_days.sunday|crispy }}
                                                  </div>
                                              </div>
                                          </div>

                                          <!-- Example single danger button -->
                                          {{ create_form.training_duration|as_crispy_field }}
                                          {{ create_form.tutor|as_crispy_field }}
                                      </form>
                                  </div>
                                  <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
                                    <button type="submit" form="create-form" class="btn btn-primary">Сохранить</button>
                                  </div>
                                </div>
                              </div>
                            </div>
                            <!-- Modal -->
                            {% endblock %}
                  {% endfor %}
    {% load static %}
<script src="https://rawgit.com/RobinHerbots/jquery.inputmask/3.x/dist/jquery.inputmask.bundle.js"></script>
<script type="application/javascript">
    $('#time_monday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );

        $('#time_tuesday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );

        $('#time_wednesday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );

    $('#time_thursday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );

    $('#time_friday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );
    $('#time_saturday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );

    $('#time_sunday').inputmask("hh:mm", {
    placeholder: "HH:MM",
      }
   );
</script>
    {% dropdown_by_check %}

                  </tbody>
                </table>


{% paginator %}


</div>

{% endblock %}

{% block main_includes %}
    {{ block.super }}
{% endblock %}

{% block custom_includes %}
    {% load static %}
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>

    <script src="{% static 'custom/js/ajax_form_create.js' %}"></script>
    <script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
    <link rel="stylesheet" href="{% static 'custom/css/bootstrap-multiselect.css' %}">
    <script src="{% static 'custom/js/bootstrap-multiselect.js' %}"></script>
{#    <script src="{% static 'custom/js/groups-multiselect-input.js' %}"></script>#}
{#    <script src="{% static 'custom/clockpicker/src/clockpicker.js' %}"></script>#}
{#    <link rel="stylesheet" href="{% static 'custom/clockpicker/src/clockpicker.css' %}">#}
{#    <script src="{% static 'custom/js/timepicker.js' %}"></script>#}
{% endblock %}
